Bug 256191 - devel/py-setproctitle: Update to 1.2.2
Summary: devel/py-setproctitle: Update to 1.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sofian Brabez
URL: https://github.com/dvarrazzo/py-setpr...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-05-27 12:27 UTC by Mikael Urankar
Modified: 2021-05-31 13:31 UTC (History)
1 user (show)

See Also:
sbz: maintainer-feedback+
sbz: merge-quarterly+


Attachments
v0 (967 bytes, patch)
2021-05-27 12:27 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Sofian Brabez freebsd_committer 2021-05-27 15:14:51 UTC
Hi, do you want me to commit it or you want to do it Mikael?

Interestingly portcout didn't report me that update. Approved.
Comment 2 Mikael Urankar freebsd_committer 2021-05-27 15:17:40 UTC
commit it please
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-28 01:25:52 UTC
Note at least the following change items:

 - Fixed build for Python 3.8 (#66, #72)
 - Added support for Python 3.9
 - Dropped support for Python < 3.6

Bugfix release and version-spec changes
Comment 4 commit-hook freebsd_committer 2021-05-28 12:37:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b4286e486b516aac2a6a2d067f6cba5f6d0bcce4

commit b4286e486b516aac2a6a2d067f6cba5f6d0bcce4
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-05-28 10:46:38 +0000
Commit:     Sofian Brabez <sbz@FreeBSD.org>
CommitDate: 2021-05-28 12:24:56 +0000

    devel/py-setproctitle: update to 1.2.2

    PR:             256191

 devel/py-setproctitle/Makefile | 3 +--
 devel/py-setproctitle/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 5 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-05-31 13:30:00 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=da7a6fccae127cb2808f3841551efcb924ba14fc

commit da7a6fccae127cb2808f3841551efcb924ba14fc
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-05-28 10:46:38 +0000
Commit:     Sofian Brabez <sbz@FreeBSD.org>
CommitDate: 2021-05-31 13:27:52 +0000

    devel/py-setproctitle: update to 1.2.2

    PR:             256191
    (cherry picked from commit b4286e486b516aac2a6a2d067f6cba5f6d0bcce4)

 devel/py-setproctitle/Makefile | 3 +--
 devel/py-setproctitle/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 5 deletions(-)
Comment 6 Sofian Brabez freebsd_committer 2021-05-31 13:31:11 UTC
Also committed in 2021Q2 quaterly branch.